AOZ Studio Beta - Bug #752

Load Asset fails if a path is specified for the asset.
05/20/2021 07:34 AM - Brian Flanagan

Status: Resolved Start date: 05/20/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B8)

Description

For example: In Crunchman Reloaded, audio is loaded from the: "resources/audio/" folder, but AOZ changed that path to
"resources/assets/resources/audio/". For example:

Load Asset "resources/audio/Crunch.wav", 1
This results in the following error:

GET file:///Users/brian/Documents/My%$20A0Z%20Applications/A0Z%20Inspirations/Games/Crunchman%20Rel
oaded/html/resources/assets/resources/audio/Crunch.wav net::ERR_FILE_NOT_FOUND

SOLUTION: If a path is given, (not just a filename), "resources/assets" should NOT be inserted into the path.

History

#1 - 05/20/2021 07:51 AM - Brian Flanagan

Until this is corrected properly, a quick fix for Crunchman Reloaded is to rename the "audio" folder as "assets", and then remove the path portion of
the Load Asset command for each of these audio assets. For example:

Load Asset "resources/audio/Crunch.wav", 1
...becomes:
Load Asset "Crunch.wav", 1

#2 - 05/20/2021 09:08 AM - Brian Flanagan
- Priority changed from Normal to High

#3 - 05/21/2021 01:12 PM - Brian Flanagan
- Target version deleted (1.0.0 (B8))

- Estimated time set to 1:00 h

- Affected version set to 1.0.0 (B8)

#4 - 07/15/2021 04:56 PM - Francois Lionet

- Status changed from New to Resolved

Seems to be fixed.

04/19/2024 1/1



http://www.tcpdf.org

